Package org.flowable.common.engine.api.management

# Class TablePage

java.lang.Object
org.flowable.common.engine.api.management.TablePage

public class TablePage extends Object
Data structure used for retrieving database table content.

Author:
  Tom Baeyens, Joram Barrez

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `protected long`
  `firstResult`
  Identifies the index of the first result stored in this TablePage.
  `protected List<Map<String,Object>>`
  `rowData`
  The actual content of the database table, stored as a list of mappings of the form {column name, value}.
  `protected String`
  `tableName`
  `protected long`
  `total`
  The total number of rows in the table.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `TablePage()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `long`
  `getFirstResult()`
  `List<Map<String,Object>>`
  `getRows()`
  `long`
  `getSize()`
  `String`
  `getTableName()`
  `long`
  `getTotal()`
  `void`
  `setFirstResult(long firstResult)`
  `void`
  `setRows(List<Map<String,Object>> rowData)`
  `void`
  `setTableName(String tableName)`
  `void`
  `setTotal(long total)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### tableName

    protected String tableName

  - ### total

    protected long total
    The total number of rows in the table.

  - ### firstResult

    protected long firstResult
    Identifies the index of the first result stored in this TablePage. For example in a paginated database table, this value identifies the record number of the result on the first row.

  - ### rowData

    protected List<Map<String,Object>> rowData
    The actual content of the database table, stored as a list of mappings of the form {column name, value}. This means that every map object in the list corresponds with one row in the database table.

- ## Constructor Details

  - ### TablePage

    public TablePage()

- ## Method Details

  - ### getTableName

    public String getTableName()

  - ### setTableName

    public void setTableName(String tableName)

  - ### getFirstResult

    public long getFirstResult()
    Returns:
      the start index of this page (ie the index of the first element in the page)

  - ### setFirstResult

    public void setFirstResult(long firstResult)

  - ### setRows

    public void setRows(List<Map<String,Object>> rowData)

  - ### getRows

    public List<Map<String,Object>> getRows()
    Returns:
      the actual table content.

  - ### setTotal

    public void setTotal(long total)

  - ### getTotal

    public long getTotal()
    Returns:
      the total rowcount of the table from which this page is only a subset.

  - ### getSize

    public long getSize()
    Returns:
      the actual number of rows in this page.